> ## Documentation Index
> Fetch the complete documentation index at: https://docs.entityml.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get API Key Name

> Return the display name for a specific API key.

## Request

<Note>
  This endpoint does not require a Bearer token.
</Note>

### Path Parameters

<ParamField path="key_id" type="string" required>
  The API key ID.
</ParamField>

## Response

<ResponseField name="key_id" type="string">
  The API key ID.
</ResponseField>

<ResponseField name="name" type="string">
  The API key name.
</ResponseField>

## Example

```bash Raw HTTP (cURL) theme={null}
curl "https://api.entityml.com/api/v1/keys/YOUR_KEY_ID/name"
```

### Example response

```json theme={null}
{
  "key_id": "key-uuid",
  "name": "research-bot"
}
```
